## org.aspectj.weaver.loadtime.definition
Class Definition.DeclareErrorOrWarning

    java.lang.Object
      org.aspectj.weaver.loadtime.definition.Definition.DeclareErrorOrWarning

Enclosing class:
  Definition

    public static class Definition.DeclareErrorOrWarning

extends java.lang.Object

Field Summary
`boolean` `isError`
`java.lang.String` `message`
`java.lang.String` `pointcut`

Constructor Summary
`Definition.DeclareErrorOrWarning(boolean isError, java.lang.String pointcut, java.lang.String message)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isError

    public final boolean isError

### pointcut

    public final java.lang.String pointcut

### message

    public final java.lang.String message

Constructor Detail

### Definition.DeclareErrorOrWarning

    public Definition.DeclareErrorOrWarning(boolean isError,
                                            java.lang.String pointcut,
                                            java.lang.String message)